Update a tenant
curl --request PATCH \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monthly_credit_cap": 8000
}
'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/"
payload = { "monthly_credit_cap": 8000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({monthly_credit_cap: 8000})
};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'monthly_credit_cap' => 8000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/"
payload := strings.NewReader("{\n \"monthly_credit_cap\": 8000\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"monthly_credit_cap\": 8000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"monthly_credit_cap\": 8000\n}"
response = http.request(request)
puts response.read_body{
"external_ref": "acme-001",
"id": "2f1c0b9e-0000-4000-8000-000000000000",
"name": "Acme Dental",
"plan": "free",
"status": "active",
"billed_to": "partner",
"billing_mode": "payg",
"monthly_credit_cap": 5000,
"is_active": true,
"created_at": "2026-01-15T09:30:00+00:00"
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Tenants
Update a tenant
Changes the fields you send. is_active false offboards the tenant, and true switches it on again. Needs the tenants:write scope.
PATCH
/
api
/
v1
/
partner
/
tenants
/
{external_ref}
/
Update a tenant
curl --request PATCH \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monthly_credit_cap": 8000
}
'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/"
payload = { "monthly_credit_cap": 8000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({monthly_credit_cap: 8000})
};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'monthly_credit_cap' => 8000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/"
payload := strings.NewReader("{\n \"monthly_credit_cap\": 8000\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"monthly_credit_cap\": 8000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"monthly_credit_cap\": 8000\n}"
response = http.request(request)
puts response.read_body{
"external_ref": "acme-001",
"id": "2f1c0b9e-0000-4000-8000-000000000000",
"name": "Acme Dental",
"plan": "free",
"status": "active",
"billed_to": "partner",
"billing_mode": "payg",
"monthly_credit_cap": 5000,
"is_active": true,
"created_at": "2026-01-15T09:30:00+00:00"
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Body
application/json
Response
Success